summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-11-04 19:08:55 +0100
committerPatrice Clement <monsieurp@gentoo.org>2018-11-04 19:09:25 +0100
commitc6fb513d73c00ddcbe2bae4d453317b35437087f (patch)
tree2053ca2a1cdebee50fa768e6e11b2aa36c154a45 /dev-cpp/antlr-cpp
parentnet-misc/memcached: 1.5.12 bump (diff)
downloadgentoo-c6fb513d73c00ddcbe2bae4d453317b35437087f.tar.gz
gentoo-c6fb513d73c00ddcbe2bae4d453317b35437087f.tar.bz2
gentoo-c6fb513d73c00ddcbe2bae4d453317b35437087f.zip
dev-cpp/antlr-cpp: clear QA warnings.
Closes: https://bugs.gentoo.org/663892 Signed-off-by: Patrice Clement <monsieurp@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'dev-cpp/antlr-cpp')
-rw-r--r--dev-cpp/antlr-cpp/antlr-cpp-4.7.1.ebuild12
1 files changed, 11 insertions, 1 deletions
diff --git a/dev-cpp/antlr-cpp/antlr-cpp-4.7.1.ebuild b/dev-cpp/antlr-cpp/antlr-cpp-4.7.1.ebuild
index 173656e8e08..4c54326473f 100644
--- a/dev-cpp/antlr-cpp/antlr-cpp-4.7.1.ebuild
+++ b/dev-cpp/antlr-cpp/antlr-cpp-4.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -15,3 +15,13 @@ KEYWORDS="~amd64 ~x86"
DEPEND="app-arch/zip"
S="${WORKDIR}"
+
+src_prepare() {
+ sed -i -e "s#DESTINATION lib#DESTINATION $(get_libdir)#" \
+ "${S}"/runtime/CMakeLists.txt || die "failed sed"
+
+ sed -i -e "s#share/doc/libantlr4#share/doc/${P}#g" \
+ "${S}"/CMakeLists.txt || die "failed sed"
+
+ cmake-utils_src_prepare
+}